LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_omc_macro_t Struct Reference

`#include <omc-learn.h>`

## Data Fields
char * | msg
| OSC message. More...
char * | macro_text
| macro text More...
char * | info_text
| descriptive text More...
char * | stype_tags
| setter type tags More...
int | nparams
char ** | pname
int * | ptypes
int * | mini
int * | maxi
int * | vali
double * | mind
double * | maxd
double * | vald

## Field Documentation

char* lives_omc_macro_t::info_text

descriptive text

char* lives_omc_macro_t::macro_text

macro text

double* lives_omc_macro_t::maxd

int* lives_omc_macro_t::maxi

double* lives_omc_macro_t::mind

int* lives_omc_macro_t::mini

char* lives_omc_macro_t::msg

OSC message.

int lives_omc_macro_t::nparams

char** lives_omc_macro_t::pname

int* lives_omc_macro_t::ptypes

char* lives_omc_macro_t::stype_tags

setter type tags

double* lives_omc_macro_t::vald

int* lives_omc_macro_t::vali

The documentation for this struct was generated from the following file:

- src/omc-learn.h